Bug 1667661 - Review Request: python-astunparse - An AST unparser for Python
Summary: Review Request: python-astunparse - An AST unparser for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrik Kopkan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1688810 (view as bug list)
Depends On:
Blocks: FE-NEEDSPONSOR 1667680
TreeView+ depends on / blocked
 
Reported: 2019-01-19 14:53 UTC by Miro Hrončok
Modified: 2019-11-07 02:12 UTC (History)
4 users (show)

Fixed In Version: python-astunparse-1.6.2-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-26 15:12:50 UTC
pkopkan: fedora-review+


Attachments (Terms of Use)

Description Miro Hrončok 2019-01-19 14:53:28 UTC
Spec URL: https://churchyard.fedorapeople.org/SRPMS/python-astunparse.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python-astunparse-1.6.0-1.fc29.src.rpm

Description:
This is a factored out version of unparse found in the Python source
distribution; under Tools/parser in Python 3.

Fedora Account System Username: churchyard

Comment 1 Miro Hrončok 2019-01-19 14:55:26 UTC
Patrik, would like to do an informal review?

https://fedoraproject.org/wiki/Packaging:ReviewGuidelines

Others: I'm trying to get Patrik sponsored, so please give him some time to do so.

Comment 3 Patrik Kopkan 2019-01-28 14:44:16 UTC
REVIEW:

Done Must Items:
- Package is named according Package Naming Guidelines
- The spec file name matches the base package
- The package meets Packaging guidelines
- License of package is approved in fedora
- %files section contains license
- Spec file is written in American English
- Spec file is legible
- sha256sum is same for sources
from github:
dab3e426715373fd76cd08bb1abe64b550f5aa494cf1e32384f26fd60961eb67
from srpm:
dab3e426715373fd76cd08bb1abe64b550f5aa494cf1e32384f26fd60961eb67

- Package builds properly https://koji.fedoraproject.org/koji/taskinfo?taskID=32228374
- Package doesn't bundle system libraries
- Package owns all directories that it creates
- Package does not own files or directories owned by other packages.
- No duplications in %file section.
- Permissions are set properly
- Package includes %doc, it doesn't affect runtime
- Package does not containg any libtool archives
- All filenames in package are valid UTF-8
- Package does not rely on deprecated dependencies

Not aplicable must items:
- The spec file MUST handle locales properly. This is done by using the 
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden
- If the package does not successfully compile, build or work on an architecture,
then those architectures should be listed in the spec in ExcludeArch.
Each architecture listed in ExcludeArch
- have a bug filed in bugzilla, describing the reason that the package
does not compile/build/work on that architecture.
The bug number MUST be placed in a comment, next to the corresponding ExcludeArch
line.
-  Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
-If the package is designed to be relocatable, the packager must state this fact
in the request for review, along with the rationalization for relocation of
that specific package. Without this, use of Prefix: /usr is considered a blocker.
- Large documentation files must go in a -doc subpackage.
(The definition of large is left up to the packager's best judgement,
but is not restricted to size. Large can refer to either size or quantity).
- Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation


Should items:
- package builds in mock

rpmlint output:

python-astunparse.src: W: spelling-error Summary(en_US) unparser -> sparser, parser
python-astunparse.src: W: spelling-error %description -l en_US unparse -> parse
python3-astunparse.noarch: W: spelling-error Summary(en_US) unparser -> sparser, parser
python3-astunparse.noarch: W: spelling-error %description -l en_US unparse -> parse

This is not problem because unparse is an IT term: https://en.wiktionary.org/wiki/unparse

Comment 4 Miro Hrončok 2019-01-28 14:51:45 UTC
thanks

Comment 5 Patrik Kopkan 2019-02-05 13:49:00 UTC
I'd approve this but I can't do that yet because I' am not sponsored yet.

Comment 6 Patrik Kopkan 2019-02-12 15:38:33 UTC
There is one problem I've missed. In License file there is also PSF license

Comment 7 Miro Hrončok 2019-02-12 16:00:37 UTC
Good catch. Filed https://github.com/simonpercivall/astunparse/issues/37

Comment 8 Robert-André Mauchin 2019-02-15 23:25:52 UTC
Approving Patrik's review.

Comment 9 Miro Hrončok 2019-02-16 05:51:02 UTC
Thanks Robert-André.

However, there's the misleading license file problem.

Also, Patrik is now a packager. I'd like him to finish this himself if possible.

Comment 10 Patrik Kopkan 2019-03-11 16:28:01 UTC
It is quite while since posting issue on github. From my understanding python-gast need python-astunparse for tests right ? If so is there option that to drop tests ?

Comment 11 Miro Hrončok 2019-03-11 16:53:19 UTC
Don't worry about it, this is not time critical. I'll bump the upstream issue.

Comment 13 Patrik Kopkan 2019-06-26 14:05:36 UTC
I think package is in good state to be in Fedora also I am sry that I get to it so late.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Python Software Foundation License
     version 2 BSD 3-clause "New" or "Revised" License", "*No copyright*
     BSD (unspecified)". 21 files have unknown license. Detailed output of
     licensecheck in /home/pkopkan/Documents/review/1667661-python-
     astunparse/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[-]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-astunparse-1.6.2-1.fc30.noarch.rpm
          python-astunparse-1.6.2-1.fc30.src.rpm
python3-astunparse.noarch: W: spelling-error Summary(en_US) unparser -> sparser, parser
python3-astunparse.noarch: W: spelling-error %description -l en_US unparse -> parse
python-astunparse.src: W: spelling-error Summary(en_US) unparser -> sparser, parser
python-astunparse.src: W: spelling-error %description -l en_US unparse -> parse
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sh: /usr/bin/python: No such file or directory
python3-astunparse.noarch: W: spelling-error Summary(en_US) unparser -> sparser, parser
python3-astunparse.noarch: W: spelling-error %description -l en_US unparse -> parse
python3-astunparse.noarch: W: invalid-url URL: https://github.com/simonpercivall/astunparse <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://files.pythonhosted.org/packages/source/a/astunparse/astunparse-1.6.2.tar.gz :
  CHECKSUM(SHA256) this package     : dab3e426715373fd76cd08bb1abe64b550f5aa494cf1e32384f26fd60961eb67
  CHECKSUM(SHA256) upstream package : dab3e426715373fd76cd08bb1abe64b550f5aa494cf1e32384f26fd60961eb67


Requires
--------
python3-astunparse (rpmlib, GLIBC filtered):
    python(abi)
    python3.7dist(six)
    python3.7dist(wheel)



Provides
--------
python3-astunparse:
    python3-astunparse
    python3.7dist(astunparse)
    python3dist(astunparse)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1667661 --mock-config fedora-30-x86_64
Buildroot used: fedora-30-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: SugarActivity, Java, C/C++, R, Perl, Ocaml, PHP, fonts, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 14 Gwyn Ciesla 2019-06-26 14:46:18 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-astunparse

Comment 15 Fedora Update System 2019-07-03 21:54:24 UTC
FEDORA-2019-10d20de9a3 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-10d20de9a3

Comment 16 Fedora Update System 2019-07-04 00:58:41 UTC
python-astunparse-1.6.2-1.fc30, python-gast-0.2.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-10d20de9a3

Comment 17 Fedora Update System 2019-07-05 22:50:30 UTC
FEDORA-2019-10d20de9a3 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-10d20de9a3

Comment 18 Fedora Update System 2019-07-06 04:18:40 UTC
python-astunparse-1.6.2-1.fc30, python-beniget-0.1.0-1.fc30, python-gast-0.2.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-10d20de9a3

Comment 19 Fedora Update System 2019-07-14 02:07:46 UTC
python-astunparse-1.6.2-1.fc30, python-beniget-0.1.0-1.fc30, python-gast-0.2.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Elliott Sales de Andrade 2019-11-07 02:12:44 UTC
*** Bug 1688810 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.